const express = require("express");
const router = express.Router();
const workActivityPlanService = require("./workActivityPlan.service");
const authorize = require("../../../../middlewares/authorize-sapps");

router.post("/", authorize(), getAll);

module.exports = router;

function getAll(req, res, next) {
	workActivityPlanService
		.getAll(req.body)
		.then((result) => res.json(result))
		.catch(next);
}
